Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 19654)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 19655)
@@ -24,6 +24,6 @@
 
 
-$lang['%d association'] = '%d پیوسته';
-$lang['%d associations'] = '%d پیوسته';
+$lang['%d association'] = '%d پیوند';
+$lang['%d associations'] = '%d پیوند';
 $lang['%d album including'] = 'شامل %d آلبوم';
 $lang['%d albums including'] = 'شامل %d آلبوم';
@@ -56,9 +56,9 @@
 $lang['Allow user registration'] = 'فعال بودن نام‌نویسی کاربر';
 $lang['Apply to sub-albums'] = 'بر روی زیرآلبوم‌ها انجام شود';
-$lang['Associated'] = "وابسته";
+$lang['Associated'] = 'پیوسته';
 $lang['Caddie management'] = "مدیریت سبد";
 $lang['Caddie'] = "سبد";
-$lang['Albums authorized thanks to group associations'] = 'آلبوم‌ها به صورت خودکار مرتب شدند';
-$lang['Album manual order was saved'] = 'ترتیب دستی آلبوم‌ها با موفقیت ذخیره شد';
+$lang['Albums authorized thanks to group associations'] = 'آلبوم‌ها به صورت خودکار چیده شدند';
+$lang['Album manual order was saved'] = 'چیدمان دستی آلبوم‌ها با موفقیت ذخیره شد';
 $lang['Check for upgrade failed for unknown reasons.'] = 'بررسی برای بروزرسانی به دلایل نامعلومی با مشکل مواجه شد.';
 $lang['Check for upgrade'] = 'بررسی برای آپگرید';
@@ -199,5 +199,5 @@
 $lang['Dissociate from album'] = 'جدا کردن از آلبوم';
 $lang['dissociate from group'] = "جدا کردن از گروه";
-$lang['Album updated successfully'] = 'اطلاعات آلبوم با موفقیت بروزرسانی شد';
+$lang['Album updated successfully'] = 'آلبوم با موفقیت بروزرسانی شد';
 $lang['photos per page'] = 'عکس در هر صفحه';
 $lang['High definition enabled'] = 'حالت HD فعال شده است';
@@ -242,5 +242,5 @@
 $lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'اشتراک شما در خبرنامه بوسیله ی ایمیل از طرف مدیر کل لغو گردید.';
 $lang['You have unsubscribed from receiving notifications by mail.'] = 'شما از خبرنامه لغو اشتراک  کردید.';
-$lang[', click on'] = "، کلیک کنید";
+$lang[', click on'] = '، کلیک کنید بر روی';
 $lang['To unsubscribe'] = 'لغو کردن اشتراک';
 $lang['With blank value, gallery title will be used'] = 'اگر خالی بگذارید، عنوان گالری جای آن می نشیند';
@@ -250,10 +250,10 @@
 $lang['%d mail was sent.'] = '%d ایمیل فرستاده شد.';
 $lang['%d mails were sent.'] = '%d ایمیل فرستاده شدند.';
-$lang['%d mail was not sent.'] = '%d ایمیل فرستاده نشد';
+$lang['%d mail was not sent.'] = '%d ایمیل فرستاده نشد.';
 $lang['%d mails were not sent.'] = '%d ایمیل فرستاده نشدند.';
 $lang['No mail to send.'] = 'هیچ ایمیلی برای فرستادن نیست';
 $lang['There is no available subscribers to mail.'] = 'هیچ مشترکی برای اشتراک با ایمیل موجود نیست.';
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'مشترک شده ها تنها زمانی می توانند لیست بشوند (در دسترس قرار گیرند) که چیزهای تازه ای برای اعلام کردن وجود داشته باشد.';
-$lang['Anyway only webmasters can see this tab and never administrators.'] = 'در هر صورت فقط مدیر کل می‌تواند به این قسمت وارد شود و مدیران نمی‌توانند وارد شوند.';
+$lang['Anyway only webmasters can see this tab and never administrators.'] = 'در هر صورت تنها مدیر کل می‌تواند این برگه را ببیند، نه مدیران.';
 $lang['No user to send notifications by mail.'] = 'کاربری برای خبرنامه با ایمیل وجود ندارد.';
 $lang['New photos added'] = 'عکس های تازه افروده شدند';
@@ -262,7 +262,7 @@
 $lang['Parameter'] = "تنظیمات";
 $lang['Operation in progress'] = 'کار در حال پردازش است.';
-$lang['Continue processing treatment'] = 'ادامه ی کار در حال انجام';
+$lang['Continue processing treatment'] = 'ادامه‌ی کار در حال انجام';
 $lang['Complementary mail content'] = "مکمل محتوای ایمیل";
-$lang['Add detailed content'] = 'افزودن تعدادی محتوا همراه با جزئیات';
+$lang['Add detailed content'] = 'افزودن کمی محتوا همراه با جزئیات';
 $lang['Send mail as'] = 'فرستادن ایمیل بعنوان';
 $lang['Send mail to users'] = 'فرستادن ایمیل به کاربران';
@@ -289,5 +289,5 @@
 $lang['Send mail on HTML format'] = 'فرستادن ایمیل در فرمت HTML';
 $lang['Include display of recent photos grouped by dates'] = 'ضمیمه کردن آخرین عکس ها با مرتب سازی برحسب تاریخ';
-$lang['Available only with HTML format'] = "فقط برای فرمت HTML موجود است";
+$lang['Available only with HTML format'] = 'فقط با فرمت HTML موجود است';
 $lang['no write access'] = "دسترسی نوشتن را ندارید";
 $lang['Permissions'] = 'مجوز ها';
@@ -322,5 +322,5 @@
 $lang['target'] = "هدف";
 $lang['Title'] = "عنوان";
-$lang['Album list management'] = 'مدیریت لیست آلبوم‌ها';
+$lang['Album list management'] = 'مدیریت فهرست آلبوم‌ها';
 $lang['Piwigo configuration'] = "پیکربندی Piwigo";
 $lang['Edit album'] = 'ویرایش آلبوم';
@@ -388,5 +388,5 @@
 $lang['default'] = 'پیشفرض';
 $lang['Toggle \'default group\' property'] = 'معکوش کردن ویژگی های \'گروه پیشفرض\'';
-$lang['Advanced features'] = "امکانات پیشرفته";
+$lang['Advanced features'] = 'ویژگی‌های پیشرفته';
 $lang['Overall'] = "دید کلی";
 $lang['Year'] = "سال";
@@ -425,15 +425,15 @@
 $lang['Check integrity'] = 'بررسی درست بودن سیستم';
 $lang['Anomaly'] = 'ناهنجاری';
-$lang['Correction'] = "اصلاح";
-$lang['Automatic correction'] = 'اصلاح خودکار';
+$lang['Correction'] = 'ساماندهی';
+$lang['Automatic correction'] = 'ساماندهی خودکار';
 $lang['Impossible automatic correction'] = 'اصلاح خودکار ممکن نیست';
 $lang['Correction applied with success'] = 'اصلاح با موفقیت انجام شد';
-$lang['Correction applied with error'] = 'اصلاح با خطا انجام شد';
+$lang['Correction applied with error'] = 'ساماندهی با خطا انجام شد';
 $lang['%d anomaly has been detected.'] = '%d ناهنجاری شناسایی شد.';
 $lang['%d anomalies have been detected.'] = '%d ناهنجاری شناسایی شدند.';
-$lang['%d anomaly has been corrected.'] = '%d ناهنجاری اصلاح شدند.';
+$lang['%d anomaly has been corrected.'] = '%d ناهنجاری زدوده شدند.';
 $lang['%d anomalies have been detected corrected.'] = '%d ناهنجاری شناسایی شدند.';
-$lang['%d anomaly has not been corrected.'] = '%d ناهنجاری اصلاح نشد.';
-$lang['%d anomalies have not been corrected.'] = '%d ناهنجاری اصلاح نشدند.';
+$lang['%d anomaly has not been corrected.'] = '%d ناهنجاری زدوده نشد.';
+$lang['%d anomalies have not been corrected.'] = '%d ناهنجاری زدوده نشدند.';
 $lang['Go to %s or %s for more informations'] = 'برای اطلاعات بیشتر به %s یا %s مراجعه نمایید';
 $lang['the forum'] = 'تالار گفتگو';
@@ -463,6 +463,6 @@
 $lang['Check all'] = "علامت‌زدن همه";
 $lang['Uncheck all'] = "برداشتن علامت همه";
-$lang['Check automatic corrections'] = 'بررسی خودکار اصلاحات';
-$lang['Apply selected corrections'] = 'پذیرش اصلاحات انتخاب شده';
+$lang['Check automatic corrections'] = 'بررسی ساماندهی‌های خودکار';
+$lang['Apply selected corrections'] = 'پذیرش ساماندهی‌های انتخاب شده';
 $lang['Ignore selected anomalies'] = 'چشم پوشی از ناهنجاری های انتخاب شده';
 $lang['Refresh'] = 'تازه کردن (Refresh)';
@@ -476,12 +476,12 @@
 $lang['Other plugins'] = 'افزونه های موجود دیگر ';
 $lang['Last revisions'] = 'آخرین بازبینى';
-$lang['Are you sure you want to delete this plugin?'] = 'مطمئنید که ‌می‌خواهید این افزونه را پاک کنید؟';
-$lang['Are you sure you want to install this plugin?'] = 'مطمئنید که ‌می‌خواهید این افزونه را نصب کنید؟';
-$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'شما مطمئنید که می‌خواهید این آپگرید را نصب کنید؟ باید این را بپذیرید زیرا ممکن است نیاز به پاک کردن افزونه‌ای باشد.';
+$lang['Are you sure you want to delete this plugin?'] = 'آیا می‌خواهید این افزونه را پاک کنید؟';
+$lang['Are you sure you want to install this plugin?'] = 'آیا می‌خواهید این افزونه را نصب کنید؟';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'آیا می‌خواهید این آپگرید را نصب کنید؟ باید این را بپذیرید زیرا ممکن است نیاز به پاک کردن افزونه‌ای باشد.';
 $lang['Plugin has been successfully copied'] = 'افزونه با موفقیت کپی شد';
 $lang['You might go to plugin list to install and activate it.'] = 'برای نصب یا از کار انداختن این افزونه به لیست افزونه ها بروید.';
 $lang['Can\'t create temporary file.'] = 'امکان ایجاد فایل موقت وجود ندارد.';
-$lang['Can\'t download archive.'] = 'آرشیو قابل دانلود نیست.';
-$lang['Can\'t read or extract archive.'] = "آرشیو قابل خواندن و یا بازکردن نیست.";
+$lang['Can\'t download archive.'] = 'بایگانی را نمی‌توان دانلود کرد.';
+$lang['Can\'t read or extract archive.'] = 'بایگانی را نمی‌توان خواند یا باز کرد.';
 $lang['An error occured during extraction (%s).'] = 'یک خطا هنگام بازکردن فایل‌های (%s) رخ داده است.';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = "لطفا سطح دسترسی پوشه \"plugins\" و پوشه‌های زیر مجموعه آن را چک کنید (CHMOD).";
@@ -490,5 +490,5 @@
 $lang['ACCESS_0'] = "دسترسی آزاد";
 $lang['ACCESS_1'] = "دسترسی برای همه";
-$lang['ACCESS_2'] = 'دسترسی برای کاربران ثبت‌نام شده';
+$lang['ACCESS_2'] = 'دسترسی برای کاربران ثبت نام شده';
 $lang['ACCESS_3'] = "دسترسی برای مدیران";
 $lang['ACCESS_4'] = 'دسترسی برای مدیر کل';
@@ -512,5 +512,5 @@
 $lang['Optional URL keyword'] = "کلیدواژه URL اختیاری";
 $lang['Templates configuration has been recorded.'] = 'تنظیمات قالب ثبت شد.';
-$lang['All optimizations have been successfully completed.'] = 'تمام بهینه‌سازی‌ها با موفقیت کامل شدند.';
+$lang['All optimizations have been successfully completed.'] = 'همه‌ی بهینه‌سازی‌ها با موفقیت پایان یافتند.';
 $lang['Optimizations have been completed with some errors.'] = 'بهینه سازی با وجود چند خطا تمام شد.';
 $lang['Modify information'] = "ویرایش اطلاعات";
@@ -541,6 +541,6 @@
 $lang['Password is missing. Please enter the password.'] = 'گذرواژه وارد نشده است. لطفا گذرواژه تازه را وارد نمایید.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'تایید گذرواژه با گذرواژه ی اصلی همخوانی ندارد. لطفا گذرواژه ی اصلی که وارد نموده اید را در تایید گذرواژه وارد نمایید.';
-$lang['Allow users to edit their own comments'] = 'کاربران اجازه‌ی ویرایش دیدگاه‌های خود را داشته باشند';
-$lang['Allow users to delete their own comments'] = 'کاربران اجازه‌ی پاک کردن دیدگاه‌های خود را داشته باشند';
+$lang['Allow users to edit their own comments'] = 'کاربران بتوانند دیدگاه‌های خود را ویرایش کنند';
+$lang['Allow users to delete their own comments'] = 'کاربران بتوانند دیدگاه‌های خود را پاک کنند';
 $lang['Email administrators when a comment is modified'] = 'فرستادن ایمیل به مدیران هنگامی که یک دیدگاه ویرایش می شود';
 $lang['Email administrators when a comment is deleted'] = 'فرستادن ایمیل به مدیران هنگامی که یک دیدگاه پاک می شود';
@@ -564,9 +564,9 @@
 $lang['create a new album'] = 'افزودن یک آلبوم تازه';
 $lang['Album name'] = 'نام آلبوم';
-$lang['Album "%s" has been added'] = 'آلبوم "%s" با موفقیت اضافه شد';
+$lang['Album "%s" has been added'] = 'آلبوم "%s" با موفقیت افزوده شد';
 $lang['Uploaded Photos'] = 'عکس های آپلود شده';
 $lang['%d photos uploaded'] = '%d عکس آپلود شدند';
 $lang['Privacy level set to "%s"'] = 'سطح خصوصی بر روی "%s" تنظیم شده است';
-$lang['Album "%s" now contains %d photos'] = 'آلبوم "%s" شامل %d تصویر است';
+$lang['Album "%s" now contains %d photos'] = 'آلبوم "%s" اکنون دارای %d عکس است';
 $lang['Manage this set of %d photos'] = 'ادغام این سِت با %d تعداد عکس';
 $lang['Select files'] = 'انتخاب فایل ها';
@@ -584,5 +584,5 @@
 $lang['Your configuration settings are saved'] = 'تنظیمات شما ذخیره شد';
 $lang['Active Themes'] = 'فعال کردن قالب‌ها';
-$lang['Add write access to the "%s" directory'] = 'دسترسی برای نوشتن در مسیر "%s" را فعال نمایید';
+$lang['Add write access to the "%s" directory'] = 'برای نوشتن در مسیر "%s" دسترسی بدهید';
 $lang['Administration Home'] = 'صفحه‌ی مدیریت';
 $lang['Change Admin Colors'] = 'تغییر رنگ‌های صفحه‌ی مدیریت';
@@ -611,9 +611,9 @@
 $lang['Main Page'] = 'صفحه اصلی';
 $lang['Photo Page'] = 'صفحه ی عکس';
-$lang['Activate Navigation Bar'] = 'فعال کردن هدایت‌گر';
-$lang['Activate Navigation Thumbnails'] = 'فعال کردن هدایت‌گر عکس ریزه‌ها';
+$lang['Activate Navigation Bar'] = 'فعال کردن نوار هدایتگر';
+$lang['Activate Navigation Thumbnails'] = 'فعال کردن هدایتگر عکس ریزه‌ها';
 $lang['Activate icon "%s"'] = 'فعال کردن آیکن "%s"';
 $lang['Photo Properties'] = 'ویژگی های عکس';
-$lang['Allow user customization'] = 'اجازه دادن به کاربر برای سفارشی کردن';
+$lang['Allow user customization'] = 'فعال بودن سفارشی کردن برای کاربر';
 $lang['Languages'] = 'زبان ها';
 $lang['Installed Languages'] = 'زبان های نصب شده';
@@ -626,7 +626,7 @@
 $lang['Webmaster status is required.'] = 'وضعیت مدیرکل ضروری است.';
 $lang['Bound Theme'] = 'محدود کردن زمینه';
-$lang['Allow rating'] = "فعال بودن سیستم امتیازدهی";
+$lang['Allow rating'] = 'فعال بودن امتیازدهی';
 $lang['Select at least one comment'] = 'حداقل یک دیدگاه را انتخاب کنید';
-$lang['Active Plugins'] = 'فعال کردن افزونه (پلاگین) ها';
+$lang['Active Plugins'] = 'فعال کردن افزونه‌ها';
 $lang['Inactive Plugins'] = 'افزونه های از کار انداخته شده';
 $lang['Missing Plugins'] = 'افزونه های گم شده';
@@ -642,5 +642,5 @@
 $lang['Make this language available to users'] = 'در دسترس قرار دادن این زبان برای کاربران';
 $lang['Set as default language for unregistered and new users'] = 'انتخاب بعنوان زبان پیشفرض برای مهمانان';
-$lang['Add Photos'] = 'افزودن عکس‌ها';
+$lang['Add Photos'] = 'افزودن عکس';
 $lang['The following tag was deleted'] = 'برچسب پاک شد';
 $lang['Miscellaneous'] = 'گوناگون';
@@ -649,5 +649,5 @@
 $lang['There is no other plugin available.'] = 'هیچ افزونه ی دیگری موجود نیست.';
 $lang['There is no other theme available.'] = 'هیچ قالب دیگری موجود نیست.';
-$lang['Add another set of photos'] = 'افزودن یک ست تازه از عکس‌ها';
+$lang['Add another set of photos'] = 'افزودن یک ستِ عکس تازه';
 $lang['Order of menubar items has been updated successfully.'] = 'ترتیب آیتم های منو با موفقیت بروز شد.';
 $lang['This theme was not designed to be directly activated'] = 'این قالب برای فعال کردن مستقیم طراحی نشده است';
@@ -668,5 +668,5 @@
 $lang['automatic order'] = 'مرتب کردن به صورت خودکار';
 $lang['manual order'] = 'مرتب کردن دستی';
-$lang['Albums automatically sorted'] = 'آلبوم‌ها به صورت خودکار مرتب شدند';
+$lang['Albums automatically sorted'] = 'آلبوم‌ها به صورت خودکار چیده شدند';
 $lang['Batch Manager'] = 'مدیریت دسته‌ای';
 $lang['include child albums'] = 'آلبوم ‌های زیرمجموع را نیز ضمیمه کن';
@@ -680,5 +680,5 @@
 $lang['%d of %d photos selected'] = '%d عکس از %d عکس انتخاب شد';
 $lang['No photo selected, %d photos in current set'] = 'هیچ عکسی انتخاب نشده است، تعداد %d عکس در این سِت وجود دارد.';
-$lang['All %d photos are selected'] = 'تمام %d عکس انتخاب شد';
+$lang['All %d photos are selected'] = 'همه‌ی %d عکس انتخاب شد';
 $lang['remove this filter'] = 'پاک کردن این فیلتر';
 $lang['Duplicates'] = 'دوتایی ها';
@@ -696,5 +696,5 @@
 $lang['Type here the title'] = 'عنوان را اینجا تایپ نمایید';
 $lang['remove creation date'] = 'پاک کردن تاریخ ساخت';
-$lang['Album photos associated to the following albums: %s'] = 'عکس‌های آلبوم با آلبوم‌های زیر مرتبط شدند: %s';
+$lang['Album photos associated to the following albums: %s'] = 'عکس‌های این آلبوم به آلبوم‌های زیر پیوستند: %s';
 $lang['Delete orphan tags'] = 'پاک کردن برچسب های بی ریشه';
 $lang['delete photo'] = 'پاک کردن عکس';
@@ -705,7 +705,7 @@
 $lang['Themes which need upgrade'] = 'قالب های نیازمند آپگرید';
 $lang['Languages which need upgrade'] = 'زبان های نیازمند بروز رسانی';
-$lang['All themes are up to date.'] = 'تمام زمینه‌ها بروز می‌باشند.';
-$lang['All plugins are up to date.'] = 'تمام افزونه (پلاگین) ها بروز می‌باشند.';
-$lang['All languages are up to date.'] = 'تمام زبان‌ها بروز می‌باشند.';
+$lang['All themes are up to date.'] = 'همه‌ی زمینه‌ها به روز می‌باشند.';
+$lang['All plugins are up to date.'] = 'همه‌ی افزونه‌ها به روز می‌باشند.';
+$lang['All languages are up to date.'] = 'تمام زبان‌ها به روز می‌باشند.';
 $lang['Visit theme site'] = 'نمایش سایت سازنده ی قالب';
 $lang['Visit language site'] = 'نمایش سایت سازنده ی زبان';
@@ -725,8 +725,8 @@
 $lang['Average rate'] = 'میانگین امتیاز';
 $lang['... or '] = '... یا';
-$lang['Add a criteria'] = 'افزودن معیار';
-$lang['Add tags'] = 'افزودن برچسب‌ها';
+$lang['Add a criteria'] = 'افزودن روش';
+$lang['Add tags'] = 'افزودن برچسب';
 $lang['Add to caddie'] = 'افزودن به سبد';
-$lang['All extensions are up to date.'] = 'تمام گشترش دهندگان (Extensions) بروز می‌باشند.';
+$lang['All extensions are up to date.'] = 'تمام گسترش دهندگان به روز می‌باشند.';
 $lang['Create'] = 'ایجاد';
 $lang['Crop'] = 'برش';
@@ -765,12 +765,12 @@
 $lang['%s photos have been regenerated'] = '%s عکس دوباره تولید شدند';
 $lang['(this tag will be deleted)'] = '(این برچسب پاک خواهد شد)';
-$lang['A locked gallery is only visible to administrators'] = 'گالری قفل شده فقط برای مدیران قابل نمایش است';
+$lang['A locked gallery is only visible to administrators'] = 'گالریِ قفل شده تنها برای مدیران قابل نمایش است';
 $lang['Activate comments'] = 'فعال کردن دیدگاه‌ها';
 $lang['Allowed file types: %s.'] = 'فرمت‌های مجاز: %s.';
 $lang['An error has occured during upgrade.'] = 'یک خطا هنگام آپگرید رخ داده است.';
-$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'حداکثر رزولوشن تقریبی: %dM پیکسل، برابر %dx%d پیکسل.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'بالاترین رزولوشن تقریبی: %dM پیکسل، برابر %dx%d پیکسل.';
 $lang['Available on'] = 'موجود برای';
 $lang['Available versions for'] = 'نگارش‌های موجود برای';
-$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'بطور پیشفرض، Piwigo یک وب سایز (Websize) تازه از حالت HD عکس شما ایجاد می‌کند.';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'بطور پیشفرض، Piwigo یک وب سایز تازه از حالت HD عکس شما ایجاد می‌کند.';
 $lang['Cancel'] = 'لغو';
 $lang['Confirm merge'] = 'پذیرش ترکیب';
@@ -822,11 +822,10 @@
 $lang['registered users'] = 'کاربران';
 $lang['simple visitors'] = 'مهمان';
-$lang['Added by %s'] = 'اضافه شده بوسیله‌ی %s';
+$lang['Added by %s'] = 'افزوده شده بوسیله‌ی %s';
 $lang['Original file : %s'] = 'فایل اصلی : %s';
 $lang['Posted %s on %s'] = 'فرستاده شده توسط %s در %s';
 $lang['Visited %d times'] = '%s مرتبه نمایش داده شده';
 $lang['Activate icon "new" next to albums and pictures'] = 'فعال کردن آیکن "تازه" در کنار آلبوم‌ها و عکس‌ها';
-$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'یک خطا هنگام باز کردن (Extract) فایل رخ داده است. خواهشمند است تنظیمات دسترسی نصب خود را بررسی کنید.
-<br>
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'یک خطا هنگام باز کردن فایل رخ داده است. خواهشمندیم تنظیمات دسترسی نصب خود را بررسی کنید.<br>
 برای مشاهده‌ی جزئیات خطا <a href="%s">اینجا کلیک کنید</a>.';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'اگر سایز عکس HD نباشد و اگر وب سایز کنونی بزرگ تر از اندازه ی پس از تغییر سایز عکس باشد، Piwigo عکس را بعنوان HD جابجا کرده و یک سایز کوچکتر برای آن می سازد.';
@@ -859,8 +858,8 @@
 $lang['%s ago'] = '%d پیش';
 $lang['%s in the future'] = '%s بعد';
-$lang['Applications'] = 'برنامه‌های کاربردی (Application)';
-$lang['Apply watermark if height is bigger than'] = 'استفاده از چاپ سپید فقط زمانی که بلندا بیشتر باشد از';
-$lang['Apply watermark if width is bigger than'] = 'استفاده از چاپ سپید فقط زمانی که پهنا بیشتر باشد از';
-$lang['Automatic sort order'] = 'تنظیم کردن با ترتیب خودکار';
+$lang['Applications'] = 'برنامه‌های کاربردی';
+$lang['Apply watermark if height is bigger than'] = 'استفاده از چاپ سپید تنها زمانی که بلندا بیشتر باشد از';
+$lang['Apply watermark if width is bigger than'] = 'استفاده از چاپ سپید تنها زمانی که پهنا بیشتر باشد از';
+$lang['Automatic sort order'] = 'چیدمان خودکار';
 $lang['Edit photo'] = 'ویرایش عکس';
 $lang['Multiple Size'] = 'چند سایزه';
@@ -886,6 +885,6 @@
 $lang['top left corner'] = 'گوشه ی بالا سمت چپ';
 $lang['top right corner'] = 'گوشه ی بالا سمت راست';
-$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'نرم افزار <em>Piwigo برای Android</em> به شما قدرت وصل شدن به گالری، ساخت آلبوم و آپلود عکس بوسیله‌ی موبایل یا تبلت آندروید را می‌دهد.';
-$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'نرم افزار <em>Piwigo برای iOS</em> به شما قدرت وصل شدن به گالری، ساخت آلبوم و آپلود عکس بوسیله‌ی iPhone، iPad یا iPod Touch را می‌دهد.';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'نرم افزار <em>Piwigo برای Android</em> به شما قدرت وصل شدن به گالری، ساخت آلبوم و آپلود عکس به کمک موبایل یا تبلت آندرویدتان را می‌دهد.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'نرم افزار <em>Piwigo برای iOS</em> به شما قدرت وصل شدن به گالری، ساخت آلبوم و آپلود عکس به کمک iPhone، iPad یا iPod Touch ـتان را می‌دهد.';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom یک نرم‌افزار عکاسی می‌باشد که برای مدیریت عکس‌های دیجیتالی بزرگ طراحی شده است.';
 $lang['Center of interest'] = 'نقطه‌ی طلایی (Center of Interest)';
@@ -900,5 +899,5 @@
 $lang['There is no group in this gallery.'] = 'هیچ گروهی در این گالری وجود ندارد.';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u کاربر دسترسی خودکار پیدا کردند زیرا وابسته به گروهی که دسترسی دارد هستند.';
-$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture یک ابزار قدرتمند برای ترمیم عکس‌ها و مدیریت کتابخانه‌های فشرده در سیستم عامل Mac می‌باشد.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture یک ابزار نیرومند برای بازسازی عکس‌ها و مدیریت کتابخانه‌های فشرده در سیستم عامل Mac می‌باشد.';
 $lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture برای عکاس‌های حرفه‌ای که از iPhoto استفاده می‌کنند طراحی شده است.';
 $lang['By default, the center of interest is placed in the middle of the photo.'] = 'نقطه‌ی طلایی بطور پیشفرض، در وسط عکس قرار می‌گیرد.';