Index: extensions/pdf2tab/picture.inc.php
===================================================================
--- extensions/pdf2tab/picture.inc.php	(revision 19663)
+++ extensions/pdf2tab/picture.inc.php	(revision 19663)
@@ -0,0 +1,29 @@
+<?php
+add_event_handler('render_element_content','pdf2tab_add_links_picture',EVENT_HANDLER_PRIORITY_NEUTRAL+10,2);
+
+load_language('plugin.lang', PDF2TAB_PATH);
+
+function pdf2tab_add_links_picture($content, $element_info) {
+	include_once('include/constants.inc.php');
+
+	if (in_array(strtolower(substr(strrchr($element_info['file'], "."),1)), $supported_extensions)) {
+		$content = pdf2tab_add_link_image($content, $element_info);
+		$content = pdf2tab_add_link_beside_image($content, $element_info);
+	}
+	
+	return $content;
+}
+
+function pdf2tab_add_link_image($content, $element_info) {
+	preg_match('/<\s*img\s+[^>]*?src\s*=\s*(\'|\")(.*?)\\1[^>]*?\/?\s*>/i',$content,$match);
+	$content = str_replace($match[0],'<a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('Open the file in a new tab').'">'.$match[0].'</a>',$content);
+	
+	return $content;
+}
+
+function pdf2tab_add_link_beside_image($content, $element_info) {
+	$content .= '<p class="imageComment"><a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('Open the file in a new tab').'">'.l10n('Open the file in a new tab').'</a>';
+	
+	return $content;
+}
+?>
Index: extensions/pdf2tab/picture.php
===================================================================
--- extensions/pdf2tab/picture.php	(revision 19662)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<?php
-add_event_handler('render_element_content','pdf2tab_add_links_picture',EVENT_HANDLER_PRIORITY_NEUTRAL+10,2);
-
-load_language('plugin.lang', PDF2TAB_PATH);
-
-function pdf2tab_add_links_picture($content, $element_info) {
-	include_once('include/constants.inc.php');
-
-	if (in_array(strtolower(substr(strrchr($element_info['file'], "."),1)), $supported_extensions)) {
-		$content = pdf2tab_add_link_image($content, $element_info);
-		$content = pdf2tab_add_link_beside_image($content, $element_info);
-	}
-	
-	return $content;
-}
-
-function pdf2tab_add_link_image($content, $element_info) {
-	preg_match('/<\s*img\s+[^>]*?src\s*=\s*(\'|\")(.*?)\\1[^>]*?\/?\s*>/i',$content,$match);
-	$content = str_replace($match[0],'<a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('Open the file in a new tab').'">'.$match[0].'</a>',$content);
-	
-	return $content;
-}
-
-function pdf2tab_add_link_beside_image($content, $element_info) {
-	$content .= '<p class="imageComment"><a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('Open the file in a new tab').'">'.l10n('Open the file in a new tab').'</a>';
-	
-	return $content;
-}
-?>
Index: extensions/pdf2tab/thumbnails.inc.php
===================================================================
--- extensions/pdf2tab/thumbnails.inc.php	(revision 19663)
+++ extensions/pdf2tab/thumbnails.inc.php	(revision 19663)
@@ -0,0 +1,29 @@
+<?php
+add_event_handler('loc_end_index_thumbnails', 'pdf2tab_thumbnails');
+
+load_language('plugin.lang', PDF2TAB_PATH);
+
+function pdf2tab_thumbnails($tpl_thumbnails_var) {
+	global $template;
+	include_once('include/constants.inc.php');
+	
+	$template->set_prefilter('index_thumbnails', 'pdf2tab_add_tag_thumbnails');
+	
+	$template->assign('pdf2tab_supported_extensions', $supported_extensions);
+	$template->set_filename('pdf2tab_template_thumbnails', PDF2TAB_ABSOLUTE_PATH.'template/thumbnails.tpl');
+	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('pdf2tab_template_thumbnails', true));
+	
+	return $tpl_thumbnails_var;
+}
+
+function pdf2tab_add_tag_thumbnails($content, &$smarty) {
+	global $template;
+
+	$search = 'class="thumbnail"';
+	
+	$replacement = 'class="thumbnail" pdf2tab="{$thumbnail.path}"';
+	$content= str_replace($search, $replacement, $content);
+
+	return $content;
+}
+?>
Index: extensions/pdf2tab/thumbnails.php
===================================================================
--- extensions/pdf2tab/thumbnails.php	(revision 19662)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<?php
-add_event_handler('loc_end_index_thumbnails', 'pdf2tab_thumbnails');
-
-load_language('plugin.lang', PDF2TAB_PATH);
-
-function pdf2tab_thumbnails($tpl_thumbnails_var) {
-	global $template;
-	include_once('include/constants.inc.php');
-	
-	$template->set_prefilter('index_thumbnails', 'pdf2tab_add_tag_thumbnails');
-	
-	$template->assign('pdf2tab_supported_extensions', $supported_extensions);
-	$template->set_filename('pdf2tab_template_thumbnails', PDF2TAB_ABSOLUTE_PATH.'template/thumbnails.tpl');
-	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('pdf2tab_template_thumbnails', true));
-	
-	return $tpl_thumbnails_var;
-}
-
-function pdf2tab_add_tag_thumbnails($content, &$smarty) {
-	global $template;
-
-	$search = 'class="thumbnail"';
-	
-	$replacement = 'class="thumbnail" pdf2tab="{$thumbnail.path}"';
-	$content= str_replace($search, $replacement, $content);
-
-	return $content;
-}
-?>