Index: /extensions/File_Uploader/admin/admin_configuration.tpl
===================================================================
--- /extensions/File_Uploader/admin/admin_configuration.tpl	(revision 19665)
+++ /extensions/File_Uploader/admin/admin_configuration.tpl	(revision 19666)
@@ -7,5 +7,5 @@
 		<legend>{'Configuration'|@translate}</legend>
 		<p>
-			<label><input type="checkbox" name="file_uploader_checkbox[new_tab]" value="1" {$file_uploader_checked.new_tab}> {'Open pdf in a new tab'|@translate}</label>
+			<label><input type="checkbox" name="file_uploader_checkbox[new_tab]" value="1" {$file_uploader_checked.new_tab}> {'Open files in a new tab'|@translate}</label>
 		</p>
 		<p>
Index: /extensions/File_Uploader/admin/admin_help.tpl
===================================================================
--- /extensions/File_Uploader/admin/admin_help.tpl	(revision 19665)
+++ /extensions/File_Uploader/admin/admin_help.tpl	(revision 19666)
@@ -7,5 +7,5 @@
 </p>
 	<ul>
-		<li>{'Open pdf in a new tab'|@translate}{': Check to open pdf files in a new tab instead of downloading them.'|@translate}</li>
+		<li>{'Open files in a new tab'|@translate}{': Check to open files in a new tab or download them depending on the extension.'|@translate}</li>
 		<li>{'Overwrite files without notice'|@translate}{': Check to overwrite files during upload if a file with the same name already exists.'|@translate}</li>
 	</ul>
Index: /extensions/File_Uploader/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/da_DK/plugin.lang.php	(revision 19665)
+++ /extensions/File_Uploader/language/da_DK/plugin.lang.php	(revision 19666)
@@ -25,5 +25,5 @@
 $lang['You can use this plugin with the plugin <a href="http://fr.piwigo.org/ext/extension_view.php?eid=654">Media Icon</a> to add an icon to your "non picture" files.'] = 'Du kan anvende denne plugin sammen med plugin\'en <a href="http://fr.piwigo.org/ext/extension_view.php?eid=654">Media Icon</a> til at tilføje ikonen til din mappe med filer, der ikke er billeder.';
 $lang['No file to upload'] = 'Der er ingen fil at uploade';
-$lang['Open pdf in a new tab'] = 'Åbn PDF i et nyt faneblad';
+$lang['Open files in a new tab'] = 'Åbn filer i et nyt faneblad';
 $lang['Open the file in a new tab'] = 'Åbn filen i et nyt faneblad';
 $lang['Overwrite files without notice'] = 'Overskriv filer uden advarsel';
@@ -44,5 +44,4 @@
 $lang['You can use a personnal image or convert your file to an image using a desktop program or a web service such as'] = 'Du kan anvende et personligt billede eller konvertere din fil til et billede ved hjælp af et program på din computer eller via en webtjeneste så som';
 $lang['... or '] = '... eller';
-$lang[': Check to open pdf files in a new tab instead of downloading them.'] = ': Sæt flueben for at åbne PDF-filer i et nyt faneblad i stedet for at downloade dem.';
 $lang[': Check to overwrite files during upload if a file with the same name already exists.'] = ': Sæt flueben for at overskrive filer ved upload, hvis en fil med det samme navn allerede findes.';
 $lang['Album:'] = 'Album:';
Index: /extensions/File_Uploader/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/de_DE/plugin.lang.php	(revision 19665)
+++ /extensions/File_Uploader/language/de_DE/plugin.lang.php	(revision 19666)
@@ -23,5 +23,5 @@
 $lang['create a new album'] = 'Erstelle ein neues Album';
 $lang['No file to upload'] = 'Keine Datei zum hochladen';
-$lang['Open pdf in a new tab'] = 'Öffne PDF in neuem TAB';
+$lang['Open files in a new tab'] = 'Öffne Datei in neuem TAB';
 $lang['Open the file in a new tab'] = 'Öffne die Datei in einem neuen TAB';
 $lang['Overwrite files without notice'] = 'Überschreibe Datei ohne Warnhinweis';
@@ -43,5 +43,4 @@
 $lang['You can use this plugin with the plugin <a href="http://fr.piwigo.org/ext/extension_view.php?eid=654">Media Icon</a> to add an icon to your "non picture" files.'] = 'Du kannst mit dem Plugin <a href="http://fr.piwigo.org/ext/extension_view.php?eid=654">Media Icon</a> ein Symbol zu deinen Dateien hinzuzufügen, die keine Bilddateien sind.';
 $lang['... or '] = '... oder';
-$lang[': Check to open pdf files in a new tab instead of downloading them.'] = ': Auswählen um PDF\'s in einem neuen TAB zu öffnen anstelle sie herunter zu laden.';
 $lang[': Check to overwrite files during upload if a file with the same name already exists.'] = ': Auswählen um Dateien zu überschreiben falls sie schon mit gleichen Namen existieren.';
 $lang['Album:'] = 'Album:';
Index: /extensions/File_Uploader/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/el_GR/plugin.lang.php	(revision 19665)
+++ /extensions/File_Uploader/language/el_GR/plugin.lang.php	(revision 19666)
@@ -32,5 +32,5 @@
 $lang['Overwrite files without notice'] = 'Αντικατάσταση αρχείων χωρίς προειδοποίηση';
 $lang['Open the file in a new tab'] = 'Ανοίξτε το αρχείο σε μια νέα καρτέλα';
-$lang['Open pdf in a new tab'] = 'Ανοίξτε το pdf σε μια νέα καρτέλα';
+$lang['Open files in a new tab'] = 'Ανοίξτε το αρχεία σε μια νέα καρτέλα';
 $lang['No file to upload'] = 'Δεν υπάρχει αρχείο για να φορτώσετε';
 $lang['Missing a temporary folder'] = 'Λείπει ένας προσωρινός φάκελος';
@@ -51,5 +51,4 @@
 $lang['Album:'] = 'Λεύκωμα: ';
 $lang[': Check to overwrite files during upload if a file with the same name already exists.'] = ': Ελέγξτε να αντικαταστήσετε τα αρχεία κατά τη διάρκεια της αποστολής, αν ένα αρχείο με το ίδιο όνομα υπάρχει ήδη.';
-$lang[': Check to open pdf files in a new tab instead of downloading them.'] = ': Δοκιμάστε να ανοίξετε τα αρχεία pdf σε μια νέα καρτέλα αντί για τη λήψη τους.';
 $lang['... or '] = '.. ή';
 $lang['create a new album'] = 'δημιουργήσετε ένα νέο λεύκωμα';
Index: /extensions/File_Uploader/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/en_UK/plugin.lang.php	(revision 19665)
+++ /extensions/File_Uploader/language/en_UK/plugin.lang.php	(revision 19666)
@@ -39,5 +39,5 @@
 
 //admin_configuration.tpl
-$lang['Open pdf in a new tab'] = 'Open pdf in a new tab';
+$lang['Open files in a new tab'] = 'Open files in a new tab';
 $lang['Overwrite files without notice'] = 'Overwrite files without notice';
 
@@ -45,5 +45,5 @@
 $lang['The Upload tab allows you to upload "non picture" files to your gallerie. Fill in the form to upload and synchronize your file.'] = 'The Upload tab allows you to upload "non picture" files to your gallerie. Fill in the form to upload and synchronize your file.';
 $lang['The Configuration tab allows you to customize the plugin in two ways:'] = 'The Configuration tab allows you to customize the plugin in two ways:';
-$lang[': Check to open pdf files in a new tab instead of downloading them.'] = ': Check to open pdf files in a new tab instead of downloading them.';
+$lang[': Check to open files in a new tab or download them depending on the extension.'] = ': Check to open files in a new tab or download them depending on the extension.';
 $lang[': Check to overwrite files during upload if a file with the same name already exists.'] = ': Check to overwrite files during upload if a file with the same name already exists.';
 $lang['You can use this plugin with the plugin <a href="http://fr.piwigo.org/ext/extension_view.php?eid=654">Media Icon</a> to add an icon to your "non picture" files.'] = 'You can use this plugin with the plugin <a href="http://fr.piwigo.org/ext/extension_view.php?eid=654">Media Icon</a> to add an icon to your "non picture" files.';
Index: /extensions/File_Uploader/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/es_ES/plugin.lang.php	(revision 19665)
+++ /extensions/File_Uploader/language/es_ES/plugin.lang.php	(revision 19666)
@@ -25,5 +25,5 @@
 $lang['Missing a temporary folder'] = 'Falta una carpeta temporal';
 $lang['No file to upload'] = 'Ningun archivo para subir';
-$lang['Open pdf in a new tab'] = 'Abrir pdf en una nueva pestaña';
+$lang['Open files in a new tab'] = 'Abrir archivos en una nueva pestaña';
 $lang['Open the file in a new tab'] = 'Abrir archivo en una nueva pestaña';
 $lang['Overwrite files without notice'] = 'Sobrescribir archivos sin notificarlo';
@@ -44,5 +44,4 @@
 $lang['You can use a personnal image or convert your file to an image using a desktop program or a web service such as'] = 'Puede usar una imagen personal o convertir su archivo en imagen usando un programa de escritorio o un servicio web como';
 $lang['... or '] = '...o';
-$lang[': Check to open pdf files in a new tab instead of downloading them.'] = ': Marca para abrir pdf en una pestaña nueva en vez de descargándolos.';
 $lang[': Check to overwrite files during upload if a file with the same name already exists.'] = ': marca para sobrescribir los archivos durante la subida si un archivo con el mismo nombre ya existe.';
 $lang['Album:'] = 'Album';
Index: /extensions/File_Uploader/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/fr_FR/plugin.lang.php	(revision 19665)
+++ /extensions/File_Uploader/language/fr_FR/plugin.lang.php	(revision 19666)
@@ -39,5 +39,5 @@
 
 //admin_configuration.tpl
-$lang['Open pdf in a new tab'] = 'Ouvrir les pdf dans un nouvel onglet';
+$lang['Open files in a new tab'] = 'Ouvrir les fichiers dans un nouvel onglet';
 $lang['Overwrite files without notice'] = 'Remplacer les fichiers sans avertissement';
 
@@ -45,5 +45,5 @@
 $lang['The Upload tab allows you to upload "non picture" files to your gallerie. Fill in the form to upload and synchronize your file.'] = 'L\'onglet Ajouter permet de transférer des fichier "non images" vers votre galerie. Remplissez le formulaire pour transférer et synchroniser votre fichier.';
 $lang['The Configuration tab allows you to customize the plugin in two ways:'] = 'L\'onglet configuration permet de personnaliser l\'extension de deux manières :';
-$lang[': Check to open pdf files in a new tab instead of downloading them.'] = ' : Cocher pour ouvrir les fichiers pdf dans un nouvel onglet au lieu de les télécharger.';
+$lang[': Check to open files in a new tab or download them depending on the extension.'] = ' : Cocher pour ouvrir les fichiers dans un nouvel onglet ou les télécharger en fonction de l\'extension.';
 $lang[': Check to overwrite files during upload if a file with the same name already exists.'] = ' : Cocher pour remplacer les fichiers pendant le transfert si un fichier avec le même nom existe déjà.';
 $lang['You can use this plugin with the plugin <a href="http://fr.piwigo.org/ext/extension_view.php?eid=654">Media Icon</a> to add an icon to your "non picture" files.'] = 'Vous pouvez utiliser ce plugin avec le plugin <a href="http://fr.piwigo.org/ext/extension_view.php?eid=654">Media Icon</a> pour ajouter une icône aux fichiers "non images".';
Index: /extensions/File_Uploader/main.inc.php
===================================================================
--- /extensions/File_Uploader/main.inc.php	(revision 19665)
+++ /extensions/File_Uploader/main.inc.php	(revision 19666)
@@ -16,5 +16,5 @@
 define('FILE_UPLOADER_PATH' , PHPWG_PLUGINS_PATH.FILE_UPLOADER_DIR.'/');
 define('FILE_UPLOADER_ADMIN',   get_root_url() . 'admin.php?page=plugin-'.FILE_UPLOADER_DIR);
-define('FILE_UPLOADER_PDF2TAB_PATH' , FILE_UPLOADER_PATH.'pdf2tab/');
+define('FILE_UPLOADER_PDF2TAB_ABSOLUTE_PATH' , dirname(__FILE__).'/pdf2tab/');
 
 /* +-----------------------------------------------------------------------+
@@ -41,6 +41,6 @@
 if ($conf_file_uploader['new_tab'] == 1) {
 	load_language('plugin.lang', FILE_UPLOADER_PATH);
-	include_once(FILE_UPLOADER_PDF2TAB_PATH.'thumbnails.php');
-	include_once(FILE_UPLOADER_PDF2TAB_PATH.'picture.php');
+	include_once(FILE_UPLOADER_PDF2TAB_ABSOLUTE_PATH.'include/thumbnails.inc.php');
+	include_once(FILE_UPLOADER_PDF2TAB_ABSOLUTE_PATH.'include/picture.inc.php');
 }
 
Index: /extensions/pdf2tab/include/thumbnails.inc.php
===================================================================
--- /extensions/pdf2tab/include/thumbnails.inc.php	(revision 19665)
+++ /extensions/pdf2tab/include/thumbnails.inc.php	(revision 19666)
@@ -11,5 +11,5 @@
 	
 	$template->assign('pdf2tab_supported_extensions', $supported_extensions);
-	$template->set_filename('pdf2tab_template_thumbnails', PDF2TAB_ABSOLUTE_PATH.'template/thumbnails.tpl');
+	$template->set_filename('pdf2tab_template_thumbnails', FILE_UPLOADER_PDF2TAB_ABSOLUTE_PATH.'template/thumbnails.tpl');
 	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('pdf2tab_template_thumbnails', true));
 	
Index: tensions/pdf2tab/main.inc.php
===================================================================
--- /extensions/pdf2tab/main.inc.php	(revision 19665)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<?php
-/*
-Plugin Name: pdf2tab
-Version: auto
-Description: open pdf files in new tab instead of downloading it
-Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=655
-Author: Julien1311
-*/
-
-//Check whether we are indeed included by Piwigo.
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-define('PDF2TAB_ABSOLUTE_PATH' , dirname(__FILE__).'/');
-define('PDF2TAB_DIR' , basename(dirname(__FILE__)));
-define('PDF2TAB_PATH' , PHPWG_PLUGINS_PATH.PDF2TAB_DIR.'/');
-
-/* +-----------------------------------------------------------------------+
- * | Plugin code                                                          |
- * +-----------------------------------------------------------------------+ */
-	
-include_once(PDF2TAB_PATH.'include/thumbnails.inc.php');
-include_once(PDF2TAB_PATH.'include/picture.inc.php');
-?>
Index: tensions/pdf2tab/maintain.inc.php
===================================================================
--- /extensions/pdf2tab/maintain.inc.php	(revision 19665)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-function plugin_install() {
-	
-}
-
-function plugin_activate() {
-
-}
-
-function plugin_uninstall() {
-	
-}
-
-?>