Index: /extensions/pdf2tab/language/da_DK/description.txt
===================================================================
--- /extensions/pdf2tab/language/da_DK/description.txt	(revision 19669)
+++ /extensions/pdf2tab/language/da_DK/description.txt	(revision 19669)
@@ -0,0 +1,1 @@
+Åbn pdf-filer i et nyt faneblad i browseren.
Index: /extensions/pdf2tab/language/da_DK/index.php
===================================================================
--- /extensions/pdf2tab/language/da_DK/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/da_DK/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/pdf2tab/language/da_DK/plugin.lang.php	(revision 19669)
+++ /extensions/pdf2tab/language/da_DK/plugin.lang.php	(revision 19669)
@@ -0,0 +1,24 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Open the file in a new tab'] = 'Åbn filen i et nyt faneblad';
+?>
Index: /extensions/pdf2tab/language/de_DE/description.txt
===================================================================
--- /extensions/pdf2tab/language/de_DE/description.txt	(revision 19669)
+++ /extensions/pdf2tab/language/de_DE/description.txt	(revision 19669)
@@ -0,0 +1,1 @@
+Öffnen von PDF-Dateien in einem neuen Browser-Tab.
Index: /extensions/pdf2tab/language/de_DE/index.php
===================================================================
--- /extensions/pdf2tab/language/de_DE/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/de_DE/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/pdf2tab/language/de_DE/plugin.lang.php	(revision 19669)
+++ /extensions/pdf2tab/language/de_DE/plugin.lang.php	(revision 19669)
@@ -0,0 +1,24 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Open the file in a new tab'] = 'Öffne die Datei in einem neuen Tab';
+?>
Index: /extensions/pdf2tab/language/el_GR/index.php
===================================================================
--- /extensions/pdf2tab/language/el_GR/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/el_GR/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/pdf2tab/language/el_GR/plugin.lang.php	(revision 19669)
+++ /extensions/pdf2tab/language/el_GR/plugin.lang.php	(revision 19669)
@@ -0,0 +1,24 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Open the file in a new tab'] = 'Ανοίξτε το αρχείο σε μια νέα καρτέλα';
+?>
Index: /extensions/pdf2tab/language/en_UK/description.txt
===================================================================
--- /extensions/pdf2tab/language/en_UK/description.txt	(revision 19669)
+++ /extensions/pdf2tab/language/en_UK/description.txt	(revision 19669)
@@ -0,0 +1,1 @@
+Open pdf files in a new tab of the browser
Index: /extensions/pdf2tab/language/en_UK/index.php
===================================================================
--- /extensions/pdf2tab/language/en_UK/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/en_UK/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/pdf2tab/language/en_UK/plugin.lang.php	(revision 19669)
+++ /extensions/pdf2tab/language/en_UK/plugin.lang.php	(revision 19669)
@@ -0,0 +1,4 @@
+<?php
+//picture.php
+$lang['Open the file in a new tab'] = 'Open the file in a new tab';
+?>
Index: /extensions/pdf2tab/language/es_ES/description.txt
===================================================================
--- /extensions/pdf2tab/language/es_ES/description.txt	(revision 19669)
+++ /extensions/pdf2tab/language/es_ES/description.txt	(revision 19669)
@@ -0,0 +1,1 @@
+﻿Archivos PDF abierto en una pestaña nueva del navegador
Index: /extensions/pdf2tab/language/es_ES/index.php
===================================================================
--- /extensions/pdf2tab/language/es_ES/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/es_ES/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/pdf2tab/language/es_ES/plugin.lang.php	(revision 19669)
+++ /extensions/pdf2tab/language/es_ES/plugin.lang.php	(revision 19669)
@@ -0,0 +1,4 @@
+<?php
+//picture.php
+$lang['Open the file in a new tab'] = 'Abrir el archivo en una nueva pestaña';
+?>
Index: /extensions/pdf2tab/language/fr_FR/description.txt
===================================================================
--- /extensions/pdf2tab/language/fr_FR/description.txt	(revision 19669)
+++ /extensions/pdf2tab/language/fr_FR/description.txt	(revision 19669)
@@ -0,0 +1,1 @@
+﻿Ouvre les fichiers pdf dans un nouvel onglet du navigateur
Index: /extensions/pdf2tab/language/fr_FR/index.php
===================================================================
--- /extensions/pdf2tab/language/fr_FR/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/fr_FR/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/pdf2tab/language/fr_FR/plugin.lang.php	(revision 19669)
+++ /extensions/pdf2tab/language/fr_FR/plugin.lang.php	(revision 19669)
@@ -0,0 +1,4 @@
+<?php
+//picture.php
+$lang['Open the file in a new tab'] = 'Ouvrir le fichier dans un nouvel onglet';
+?>
Index: /extensions/pdf2tab/language/index.php
===================================================================
--- /extensions/pdf2tab/language/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/lv_LV/description.txt
===================================================================
--- /extensions/pdf2tab/language/lv_LV/description.txt	(revision 19669)
+++ /extensions/pdf2tab/language/lv_LV/description.txt	(revision 19669)
@@ -0,0 +1,1 @@
+Atver pdf failus pārlūka jaunā cilnē
Index: /extensions/pdf2tab/language/lv_LV/index.php
===================================================================
--- /extensions/pdf2tab/language/lv_LV/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/lv_LV/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/pdf2tab/language/lv_LV/plugin.lang.php	(revision 19669)
+++ /extensions/pdf2tab/language/lv_LV/plugin.lang.php	(revision 19669)
@@ -0,0 +1,24 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Open the file in a new tab'] = 'Atvērt failu jaunā cilnē';
+?>
Index: /extensions/pdf2tab/language/tr_TR/description.txt
===================================================================
--- /extensions/pdf2tab/language/tr_TR/description.txt	(revision 19669)
+++ /extensions/pdf2tab/language/tr_TR/description.txt	(revision 19669)
@@ -0,0 +1,1 @@
+pdf dosyalarını gezginin yeni bir sekmesinde açar
Index: /extensions/pdf2tab/language/tr_TR/index.php
===================================================================
--- /extensions/pdf2tab/language/tr_TR/index.php	(revision 19669)
+++ /extensions/pdf2tab/language/tr_TR/index.php	(revision 19669)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pdf2tab/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/pdf2tab/language/tr_TR/plugin.lang.php	(revision 19669)
+++ /extensions/pdf2tab/language/tr_TR/plugin.lang.php	(revision 19669)
@@ -0,0 +1,24 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Open the file in a new tab'] = 'Dosyayı yeni bir sekmede aç';
+?>
Index: /extensions/pdf2tab/main.inc.php
===================================================================
--- /extensions/pdf2tab/main.inc.php	(revision 19669)
+++ /extensions/pdf2tab/main.inc.php	(revision 19669)
@@ -0,0 +1,24 @@
+<?php
+/*
+Plugin Name: pdf2tab
+Version: auto
+Description: open pdf files in new tab instead of downloading it
+Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=655
+Author: Julien1311
+*/
+
+//Check whether we are indeed included by Piwigo.
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+define('PDF2TAB_ABSOLUTE_PATH' , dirname(__FILE__).'/');
+define('PDF2TAB_DIR' , basename(dirname(__FILE__)));
+define('PDF2TAB_PATH' , PHPWG_PLUGINS_PATH.PDF2TAB_DIR.'/');
+
+
+/* +-----------------------------------------------------------------------+
+ * | Plugin code                                                          |
+ * +-----------------------------------------------------------------------+ */
+	
+include_once(PDF2TAB_PATH.'include/thumbnails.inc.php');
+include_once(PDF2TAB_PATH.'include/picture.inc.php');
+?>
Index: /extensions/pdf2tab/maintain.inc.php
===================================================================
--- /extensions/pdf2tab/maintain.inc.php	(revision 19669)
+++ /extensions/pdf2tab/maintain.inc.php	(revision 19669)
@@ -0,0 +1,15 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+function plugin_install() {
+	
+}
+
+function plugin_activate() {
+
+}
+
+function plugin_uninstall() {
+	
+}
+?>